//---------------------------------------------------------------------------

#ifndef SideAceFormH
#define SideAceFormH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Menus.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <string>
#include <vector>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE 
    TMainMenu *MainMenu1;
    TMenuItem *File1;
    TMenuItem *Leave1;
    TMenuItem *Exit1;
    TMenuItem *Encoding1;
    TMenuItem *ShiftJIS1;
    TMenuItem *UTF81;
    TMenuItem *EUCJP1;
    TMenuItem *Record1;
    TMenuItem *Help1;
    TMenuItem *Large1;
    TMenuItem *Standard1;
    TMenuItem *Version1;
    TMemo *Memo1;
    TStatusBar *StatusBar1;
    TButton *Button1;
    TTimer *Timer1;
    TTimer *Timer2;
    TTimer *Timer3;
    void __fastcall Version1Click(TObject *Sender);
    void __fastcall Record1Click(TObject *Sender);
    void __fastcall Button1Click(TObject *Sender);
    void __fastcall Large1Click(TObject *Sender);
    void __fastcall Standard1Click(TObject *Sender);
    void __fastcall ShiftJIS1Click(TObject *Sender);
    void __fastcall UTF81Click(TObject *Sender);
    void __fastcall StatusBar1Click(TObject *Sender);
    void __fastcall Leave1Click(TObject *Sender);
    void __fastcall Exit1Click(TObject *Sender);
    void __fastcall FormCreate(TObject *Sender);
    void __fastcall FormDestroy(TObject *Sender);
    void __fastcall FormKeyUp(TObject *Sender, WORD &Key,
          TShiftState Shift);
    void __fastcall FormResize(TObject *Sender);
    void __fastcall Timer1Timer(TObject *Sender);
    void __fastcall Timer2Timer(TObject *Sender);
    void __fastcall Timer3Timer(TObject *Sender);
    void __fastcall EUCJP1Click(TObject *Sender);
private:
    AnsiString statusBarText;
    bool document, fullName, leaveACE, renewal;
    int corner, count, header, manager, touched, upperLimit;
    std::string ASCII_KATAKANA;

    AnsiString integer_to_AnsiString(int k);
    bool readACE();
    int columns(int x);
    int convert_to_EUC();
    int convert_to_SJIS();
    int convert_to_UTF8();
    int rows(int x);
    std::string fixedWidthFontScreenLinePlus(std::string & line, int limit);
    std::vector<std::string> v; // ITEM v
    void keepLog(); // Shift_JIS
    void largeHandler();
    void moveToCorner();
    void seePDF();
    void statusBarMessage(std::string & s);
public:
    __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
