#include "kanji_union.h"

void versionGuide(double v, bool comments) {
    using namespace std;

    cerr << "diyo C++ Version " << v << "\n" << endl;

    if(comments) {
        cerr << "diyo -f bars.txt     # Edit according to bars.txt " << endl
            << "diyo -k -aN         #  is subsituted with N. " << endl // Shift_JIS
            << "diyo -k -aN file    #  is subsituted with N to produce a binary file. " << endl
            << "diyo -s@ -eP       # @ is subsituted with P and represented in EUC-JP. " << endl
            << "diyo -s@ -eP file  # @ is subsituted with P to produce a binary file. " << endl
            << "diyo -s@ -eP -d    # Do not search a table. " << endl
            << "diyo -s@ -eP -q    # Acquire a table name from setting.txt " << endl
            << "diyo -s@ -eP -w    # -w shows which table diyo uses. " << endl
            << "diyo -V              # version " << endl
            << "diyo -VC             # version with comments " << endl;
    } else {
        cerr << "diyo -f bars.txt     " << endl
            << "diyo -k -aN         " << endl
            << "diyo -k -aN file    " << endl
            << "diyo -s@ -eP       " << endl
            << "diyo -s@ -eP file  " << endl
            << "diyo -s@ -eP -d    " << endl
            << "diyo -s@ -eP -q    " << endl
            << "diyo -s@ -eP -w    " << endl
            << "diyo -V              " << endl
            << "diyo -VC             " << endl;
    }

    exit(1);
}
