//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "VersionForm.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm3 *Form3;
namespace {
    AnsiString COPYRIGHT = "Copyright 2019 Sogaya";
    AnsiString TITLE = "SideAce VCL";
    AnsiString VERSION_GAP = "Version ";
    const int VERSION_HEIGHT = 166;
    const int VERSION_WIDTH = 166;
}

void TForm3::setVersion(std::string & p, std::string & v) {
    AnsiString pdf_name( p.c_str() );
    AnsiString version_number( v.c_str() );

    PDFname = pdf_name;
    versionNumber = VERSION_GAP + version_number;
    Label3->Caption = versionNumber;
}

//---------------------------------------------------------------------------
__fastcall TForm3::TForm3(TComponent* Owner)
    : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TForm3::FormCreate(TObject *Sender)
{
    KeyPreview = true;
    Left = ( Screen->Width - VERSION_WIDTH )/2;
    Top = ( Screen->Height - VERSION_HEIGHT )/2;
    Height = VERSION_HEIGHT;
    Width = VERSION_WIDTH;

    Image1->Left = 0;
    Image1->Top = 0;
    Label1->Caption = TITLE;
    Label2->Caption = COPYRIGHT;
    
}
//---------------------------------------------------------------------------

void __fastcall TForm3::FormKeyUp(TObject *Sender, WORD &Key,
      TShiftState Shift)
{
    if(Key == VK_ESCAPE) {
        Close();
    }
    
}
//---------------------------------------------------------------------------

void __fastcall TForm3::Button1Click(TObject *Sender)
{
//    ShellExecute(Handle, L"open", L"SideAceVCL.pdf", NULL, NULL, SW_NORMAL); // C++Builder 10.2
     ShellExecute(Handle, "open", "SideAceVCL.pdf", NULL, NULL, SW_NORMAL); // C++Builder 5

}
//---------------------------------------------------------------------------

