#include "messages.h"

namespace {
    char GAP[] = " ";
    const int GAP_SIZE = 1;
}

void errorHandler(const char *p) {
    using namespace std;

    ofstream errorFile(ERROR_TEXT);
    errorFile << p << endl;
}

void errorHandler(const char *p, char *q) {
    using namespace std;

    ofstream errorFile(ERROR_TEXT);
    errorFile << p << GAP << q << endl;
}

void errorHandler(const char *p, const char *q) {
    using namespace std;

    ofstream errorFile(ERROR_TEXT);
    errorFile << p << GAP << q << endl;
}

void errorHandler(const char *p, const char *q, const char *r, const char *s) {
    using namespace std;

    ofstream errorFile(ERROR_TEXT);
    errorFile << p << GAP << q << GAP << r << GAP << s << endl;
}

void errorHandler(const char *p, int q) {
    using namespace std;

    ofstream errorFile(ERROR_TEXT);
    errorFile << p << GAP;
    errorFile << hex << uppercase << q;
    errorFile << endl;
}

void errorHandler(const char *p, int q, const char *r) {
    using namespace std;

    ofstream errorFile(ERROR_TEXT);
    errorFile << p << GAP;
    errorFile << q << GAP;
    errorFile << r;
    errorFile << endl;
}

void errorHandler(const char *p, int q, const char *r, char *s) {
    using namespace std;

    ofstream errorFile(ERROR_TEXT);
    errorFile << p << GAP;
    errorFile << q << GAP;
    errorFile << r << GAP;
    errorFile << s;
    errorFile << endl;
}

void errorHandler(const char *p, int q, const char *r, const char *s) {
    using namespace std;

    ofstream errorFile(ERROR_TEXT);
    errorFile << p << GAP;
    errorFile << q << GAP;
    errorFile << r << GAP;
    errorFile << s;
    errorFile << endl;
}

void errorHandler(const char *p, std::string & q) {
    using namespace std;

    ofstream errorFile(ERROR_TEXT);
    errorFile << p << GAP << q;
    errorFile << endl;
}

void errorHandler(std::string & messages) {
    using namespace std;

    ofstream errorFile(ERROR_TEXT);
    errorFile << messages << endl;
}

std::string infoText(int p, const char *q, int r) {
    using namespace std;

    stringstream os;
    os << hex << uppercase << p;
    os << GAP << q << GAP;
    os << hex << uppercase << r;
    string messages = os.str();

    ofstream infoFile(INFO_TEXT);
    infoFile << messages << endl;
    return messages;
}

void messagesText(char *p, const char *q) {
    using namespace std;

    char buffer[ MESSAGES_SIZE + 1 ];
    int limit = MESSAGES_SIZE - GAP_SIZE - strlen(q);
    ofstream messagesFile(MESSAGES_TEXT);

    if(limit > 0) {
        buffer[limit] = '\0';
        strncpy(buffer, p, limit);
        strcat(buffer, GAP);
        strcat(buffer, q);
        messagesFile << buffer << endl;
    }

}

void messagesText(const char *p, int q, const char *r, char *s) {
    using namespace std;

    ofstream messagesFile(MESSAGES_TEXT);
    messagesFile << p << GAP;
    messagesFile << q << GAP;
    messagesFile << r << GAP;
    messagesFile << s;
    messagesFile << endl;
}

